//================================================================================
//
//  This code is the intellectual property of Jerry Jongerius (duckware.com)
//
//================================================================================

import java.io.*;
import java.net.*;
import java.util.*;
import java.awt.*;
import java.awt.event.*;
import java.text.*;

public class AppFrame extends Frame implements WindowListener {
    private AppPanel m_panel;

    //----------------------------------------------------------------------
    public void go( String args[] ) throws Exception {

        m_panel = new AppPanel(this);
        setLayout( new BorderLayout() );
        add( "Center", m_panel );

        // open app Window
        setTitle("MCS Spy by Jerry Jongerius (duckware.com)");
        setSize(1400,800);
        setLocationRelativeTo(null);
        addWindowListener(this);
        //show();

        m_panel.go(args);
        }

    //----------------------------------------------------------------------
    // WindowListener
    public void windowClosing( WindowEvent e ) {
        System.out.println( "Exiting..." );
        hide();
        m_panel.setRunning( false );   
        }  
    public void windowActivated( WindowEvent e ) { }
    public void windowClosed( WindowEvent e ) { }
    public void windowDeactivated( WindowEvent e ) { }
    public void windowDeiconified( WindowEvent e ) { }  
    public void windowIconified( WindowEvent e ) { }
    public void windowOpened( WindowEvent e ) { }
    }
