//================================================================================
//
//  This code is the intellectual property of Jerry Jongerius (duckware.com)
//
//================================================================================

//
//  https://github.com/freebsd/freebsd/blob/master/sys/dev/ath/if_athioctl.h
//
//  Native athstat numbers are u_int32_t and wrap/overflow.  So what
//  matters is the difference between two over a short period of time.
//  So storing in an Java int is all that is needed (subtractions work
//  across numbers wrapping).
//

public class Athstats {
    public long ts;             // Java timestamp of athstats
    public int txmcs[];         // MCS Tx numbers
    public int rxmcs[];         // MCS Rx numbers
    public int rxbytes;         // bytes Rx
    public int txbytes;         // bytes Tx
    public int nNoiseFloor;     // noise floor (-95, -105, etc)

    //----------------------------------------------------------------------
    public Athstats() {
        ts = G.tick();
        }
    }
